Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 17 Nov 2021 14:56:16 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Well, this is the last communication I’ll have with centerpoint. I tried calling the hotline as well as chatting with your agent but no one can help me. I guess big stores like yours don’t care about small customers anymore. 

Anyway, my concern is about an exchange for an item I bought last November 6. It only costs 45SR and I know I should probably let it go and not complain but the way I was treated and dismissed at your store was completely humiliating.

I bought a charger and I couldn’t use it because my phone heats up after 15 mins of charging and my phone hangs up and I couldn’t use it. So I checked the terms for exchange and I think it was eligible for an exchange. So I visited the centerpoing store at Riyadh Gallery last November 15. There is a girl named HANEEN, who told me its working. I told her that if she wait for a few more minutes it will heat up and it will stop working. But she completely dismissed me, and told me she can’t help me. 

You know the problem here is not about the money at all. I felt helpless. I was at the store and 3 women were talking to me as if I was crazy for wanting to return this item. I felt so discriminated that I was returning a SR45 item. I felt low. And when I wanted to talk to someone, i tried calling your hotline and the girl who spoke to me told me that she can’t help me because she can only assist online orders. She did say she will file a complain for me but I don’t know if she did or not. 

Next, I tried to chat with one of your agents through the website and he even asked me for the receipt. I showed him but he said to contact the store. 

Anyway. I wanted to tell you how awful your customer service is. This is the second experience I had with centerpoint. Its just sad. 

Have a good day. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3376590